#!/usr/bin/perl
# $Id: generate-configs.pl 205 2005-12-20 22:40:49Z bklang $
# Lets define some pretty colors
#use VOffice::Util::Output qw(:DEFAULT :outputs);
use Asterisk::LDAP;

my $AstLDAP = new Asterisk::LDAP;

# If your ldap.conf lives somewhere besides /etc, specify it by uncommenting
# the next line:
#$AstLDAP->ldapconf('/usr/local/etc/ldap.conf');

# If your asterisk.conf lives somewhere besides /etc/asterisk, specify it
# by uncommenting the line below.
#$AstLDAP->asteriskconf('/usr/local/etc/asterisk.conf');

# Parse the command line options
$AstLDAP->parseCmdline();

# Read in ldap.conf and asterisk.conf
$AstLDAP->getLDAPconf();
$AstLDAP->getAsteriskconf();

# If you want to only generate a certain subset of the configuration files
# uncomment the appropriate line(s) below
#$AstLDAP->configs('extensions');
#$AstLDAP->configs('voicemail');
#$AstLDAP->configs('musiconhold');

# To return an array containing the list of configs to be generated
# uncomment the following line.  If you have not overridden the defaults
# as above then this will return all the configs which Asterisk::LDAP supports
#my @configs = $AstLDAP->configs();

$AstLDAP->generate();

# This function will reload asterisk if one of the modules above flagged a
# configuration file change
$AstLDAP->tryreload();
